/*-----------------------------------------------------------------------*/
/*                                 TIGA                                  */
/*       Copyright (c) 1988-1990 Texas Instruments Incorporated.         */
/*                         All Rights Reserved                           */
/*-----------------------------------------------------------------------*/
/*  TIGA - Graphics Manager Extension                                    */
/*-----------------------------------------------------------------------*/
/*                                                                       */
/*  file            extdefs.c                                            */
/*                                                                       */
/*  description     This file contains global variable definitions used  */
/*                  in the extended drawing primitives of the Graphics   */
/*                  Manager.                                             */
/*                                                                       */
/*=======================================================================*/
#include <gsptypes.h>       /* type definitions     */

/*--------------------------------------------------------------------------*/
/*  unsigned short sin_tbl[91]                                              */
/*                                                                          */
/* Sines of angles from 0 to 90 degrees expressed as 16-bit fractions       */
/*--------------------------------------------------------------------------*/
unsigned short sin_tbl[91] = {
            0,          /*  sin(  0 degrees )  */
         1143,          /*  sin(  1 degrees )  */
         2287,          /*  sin(  2 degrees )  */
         3429,          /*  sin(  3 degrees )  */
         4571,          /*  sin(  4 degrees )  */
         5711,          /*  sin(  5 degrees )  */
         6850,          /*  sin(  6 degrees )  */
         7986,          /*  sin(  7 degrees )  */
         9120,          /*  sin(  8 degrees )  */
        10252,          /*  sin(  9 degrees )  */
        11380,          /*  sin( 10 degrees )  */
        12504,          /*  sin( 11 degrees )  */
        13625,          /*  sin( 12 degrees )  */
        14742,          /*  sin( 13 degrees )  */
        15854,          /*  sin( 14 degrees )  */
        16961,          /*  sin( 15 degrees )  */
        18064,          /*  sin( 16 degrees )  */
        19160,          /*  sin( 17 degrees )  */
        20251,          /*  sin( 18 degrees )  */
        21336,          /*  sin( 19 degrees )  */
        22414,          /*  sin( 20 degrees )  */
        23486,          /*  sin( 21 degrees )  */
        24550,          /*  sin( 22 degrees )  */
        25606,          /*  sin( 23 degrees )  */
        26655,          /*  sin( 24 degrees )  */
        27696,          /*  sin( 25 degrees )  */
        28729,          /*  sin( 26 degrees )  */
        29752,          /*  sin( 27 degrees )  */
        30767,          /*  sin( 28 degrees )  */
        31772,          /*  sin( 29 degrees )  */
        32768,          /*  sin( 30 degrees )  */
        33753,          /*  sin( 31 degrees )  */
        34728,          /*  sin( 32 degrees )  */
        35693,          /*  sin( 33 degrees )  */
        36647,          /*  sin( 34 degrees )  */
        37589,          /*  sin( 35 degrees )  */
        38521,          /*  sin( 36 degrees )  */
        39440,          /*  sin( 37 degrees )  */
        40347,          /*  sin( 38 degrees )  */
        41243,          /*  sin( 39 degrees )  */
        42125,          /*  sin( 40 degrees )  */
        42995,          /*  sin( 41 degrees )  */
        43852,          /*  sin( 42 degrees )  */
        44695,          /*  sin( 43 degrees )  */
        45525,          /*  sin( 44 degrees )  */
        46340,          /*  sin( 45 degrees )  */
        47142,          /*  sin( 46 degrees )  */
        47929,          /*  sin( 47 degrees )  */
        48702,          /*  sin( 48 degrees )  */
        49460,          /*  sin( 49 degrees )  */
        50203,          /*  sin( 50 degrees )  */
        50931,          /*  sin( 51 degrees )  */
        51643,          /*  sin( 52 degrees )  */
        52339,          /*  sin( 53 degrees )  */
        53019,          /*  sin( 54 degrees )  */
        53683,          /*  sin( 55 degrees )  */
        54331,          /*  sin( 56 degrees )  */
        54963,          /*  sin( 57 degrees )  */
        55577,          /*  sin( 58 degrees )  */
        56175,          /*  sin( 59 degrees )  */
        56755,          /*  sin( 60 degrees )  */
        57319,          /*  sin( 61 degrees )  */
        57864,          /*  sin( 62 degrees )  */
        58393,          /*  sin( 63 degrees )  */
        58903,          /*  sin( 64 degrees )  */
        59395,          /*  sin( 65 degrees )  */
        59870,          /*  sin( 66 degrees )  */
        60326,          /*  sin( 67 degrees )  */
        60763,          /*  sin( 68 degrees )  */
        61183,          /*  sin( 69 degrees )  */
        61583,          /*  sin( 70 degrees )  */
        61965,          /*  sin( 71 degrees )  */
        62328,          /*  sin( 72 degrees )  */
        62672,          /*  sin( 73 degrees )  */
        62997,          /*  sin( 74 degrees )  */
        63302,          /*  sin( 75 degrees )  */
        63589,          /*  sin( 76 degrees )  */
        63856,          /*  sin( 77 degrees )  */
        64103,          /*  sin( 78 degrees )  */
        64331,          /*  sin( 79 degrees )  */
        64540,          /*  sin( 80 degrees )  */
        64729,          /*  sin( 81 degrees )  */
        64898,          /*  sin( 82 degrees )  */
        65047,          /*  sin( 83 degrees )  */
        65176,          /*  sin( 84 degrees )  */
        65286,          /*  sin( 85 degrees )  */
        65376,          /*  sin( 86 degrees )  */
        65446,          /*  sin( 87 degrees )  */
        65496,          /*  sin( 88 degrees )  */
        65526,          /*  sin( 89 degrees )  */
        65535           /*  sin( 90 degrees )  */
};









